Bug 52343 - grep -C <numeric> <pattern> <file> fails
grep -C <numeric> <pattern> <file> fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: grep (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-22 18:33 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 18:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-22 18:33:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
grep -C with numeric options, i.e. grep -C 4 fails miserably

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.grep -C 4 Panasonic /usr/share/doc/cdrecord*/README
2.
3.
	

Actual Results:  [root@localhost cdrecord-1.9]# grep -C 4 Panasonic README
grep: Panasonic: No such file or directory
README-Cdrecord runs on:
README-
README:SunOS 4.1.3 or later:	sparc.
README-Solaris 2.3 or later:	sparc and x86.
README:Linux:			x86 sparc sparc64 ppc strongarm and alpha.
README-NetBSD/FreeBSD/OpenBSD:	x86 sparc alpha amiga and m68k
README-SGI IRIX:		mips
--
README-
README-Cdrecord runs without problems on a loaded Solaris system.
README:On Solaris, cdrecord uses the SVr4 priocntl() call to establish
README:SVr4 real-time scheduling which grants to run cdrecord in a higher
priority
README-than all kernel processes. On system that provide POSIX real-time
scheduling
README-the result may be slightly worse as POSIX RT doesn't seem to grant
latter
--
README-You *need* the SCSI general driver 'scg' in order to run cdrecord.
README-
README:SunOS 4.1.3 only:
README-	The 'scg' driver is Copyright 1986-1995 Jvrg Schilling,
README-	it is supplied binary in a loadable format.
--
README-	The 'scg' driver is Copyright 1986-1995 Jvrg Schilling,
README-	it is supplied binary in pkgadd(1m) format and is tested 
README:	on Solaris 2.3, Solaris 2.4 & Solaris 2.5 (sparc).
README-
README-Solaris only:
--
README-	The 'fbk' driver is Copyright 1988-1995 Jvrg Schilling,
README-	it is supplied binary in pkgadd(1m) format and is tested
README:	on Solaris 2.3, Solaris 2.4 & Solaris 2.5 (sparc).
README-
README-Cdrecord-1.3 or later adopts the right BUF_SIZE for each
architecture.
--
README-Cdrecord is currently maintained with the following drives:
README-
README:	Plextor PX-W124
README-	Plextor PX-W8220
README:	Plextor PX-W4220
README-	Plextor PX-R820
README:	Plextor PX-R412C
README:	Yamaha CRW-4416
README:	Yamaha CDR-400
README:	Ricoh MP-7040A
README:	Ricoh MP-7040S
README-	Ricoh MP-7060S (available only to Thomas Niederreiter and Heiko
Ei_feld)
README-	TEAC CD-R55S
README-	TEAC CD-R58S
README:	TEAC CD-W54E
README-	Sanyo CDR-Bp2
README:	Sony CDU948S
README-	COMPRO/Matsushita/Panasonic CW-7502
README-	Philips CDD-2000
--
README-them to be identical to working drives:
README-
README:	ACER CR-1420C
README-	ACER CDRW 6206A
README:	AOPEN CRW9420 (Re-writable)
README-	BTC BCE 621E
README-	COMPRO CW-7502
README-	Dysan CR-622 ???? See Wearnes 622
README-	Dysan CR-1622
README:	DynaTec CDM-240J (see Pinnacle RCD-4x4)
README:	DynaTec CDM-240  (use cdrecord driver=yamaha_cdr100 and report
inquiry)
README:	DynaTec CDM-400  (use cdrecord driver=yamaha_cdr100 and report
inquiry)
README-	Grundig CDR-100
README:	Hewlett Packard 4020i
README-	Hewlett Packard 6020i
README:	HP C4324/C4325(HP SureStore 4020i/6020i)
README-	HP 7100
README-	HP 7110
--
README-	HP 8210
README-	HP CD-Writer+ M820
README:	Hi-Val CD-R (see Pinnacle RCD-4x4)
README:	IMATION CD-RW IMW040420
README-	JVC XR-W2001 (uses TEAC code - see below - audio not working)
README-	JVC XR-W2010 (uses TEAC code - see below - audio not working)
--
README-	Kodak PCD-200 or Kodak PCD-200 Plus
README-	Kodak PCD-225
README:	Kodak PCD-240
README-	Kodak PCD-600
README-	Matsushita CW-7502
--
README-	Memorex CR-1622
README-	Memorex CRW-1622
README:	Microboards PlayWrite 2000 (use cdrecord driver=sony_cdu924 and
report inquiry)
README:	Microboards PlayWrite 4000 (use cdrecord driver=yamaha_cdr100 and
report inquiry)
README:	Microboards PlayWrite 4001RW
README:	MicroNet MasterCD Plus 4x4 (use cdrecord driver=yamaha_cdr100 and
report inquiry)
README:	MicroNet MasterCD Plus 4x6
README-	Mitsubishi MCA-CDRW 226
README:	Mitsumi CR-2401-TS
README-	Mitsumi CR-2600-TE
README-	Mitsumi CR-2801-TE
README:	Mitsumi CR-4801-TE
README:	Mitsumi CR-4802-TE ???
README-	Nomai 680.rw
README-	Olympus CDS615E
README:	Olympus CDS620E (use cdrecord driver=sony_cdu924   and report
inquiry)
README:	Olympus CD-R2x6 (use cdrecord driver=sony_cdu924   and report
inquiry)
README-	Optima Dis Kovery 650 CD-R
README-	OTI CDRW 965
--
README-	Philips CDD 3600
README-	Philips CDD 3610
README:	Philips CDRW400
README-	Philips Omniwriter 26
README-	Philips Omniwriter 26A
README:	Philips CDD4201 CD-RW
README-	Pinnacle Micro RCD-1000 (see TEAC/JVC): Need to upgrade firmware to
2.35
README-	Pinnacle Micro RCD-5020 (see TEAC/JVC - audio not working)
README:	Pinnacle Micro RCD-5040 (see TEAC/JVC - audio not working)
README:	Pinnacle Micro RCD-4x4
README:	Pioneer DW-S114X
README:	Plasmon CDR 4220
README:	Plasmon RF-4100
README:	Plasmon RF-4102
README:	Plasmon CDR 4400 (use cdrecord driver=yamaha_cdr100 and report
inquiry)
README:	Plasmon CDR 480
README:	Plextor PX-R24CS (use cdrecord driver=ricoh_ro1420c and report
inquiry)
README:	Plextor PX-R412C
README-	Plextor PX-R820
README:	Plextor PX-W4220
README-	Plextor PX-W8220
README:	Plextor PX-W124
README:	Procom PCDR 4 (use cdrecord driver=yamaha_cdr100 and report
inquiry)
README:	Ricoh RO-1420C
README-	Ricoh MP-6200
README-	Ricoh MP-6200I
README-	Ricoh MP-6201
README:	Ricoh MP-7040A
README:	Ricoh MP-7040S
README-	Ricoh MP-7060S
README-	Sanyo CDR-Bp2
README:	Smart & Friendly CD-R1002 (use cdrecord driver=sony_cdu924   and
report inquiry)
README:	Smart & Friendly CD-R1004 (use cdrecord driver=yamaha_cdr100 and
report inquiry)
README:	Smart & Friendly CD-R2004 (use cdrecord driver=sony_cdu924   and
report inquiry)
README-	Smart & Friendly CD-R2006 PLUS
README-	Smart & Friendly CD-R2006 PRO
README:	Smart & Friendly CD-R4000 (use cdrecord driver=yamaha_cdr100 and
report inquiry)
README:	Smart & Friendly CD-R4006
README:	Smart & Friendly CD-R4012
README-	Smart & Friendly CD-RW226
README-	Smart & Friendly CD-R8020
README-	Sony CDU920S
README:	Sony CDU924S
README-	Sony CDU926S
README-	Sony CDU928S
README:	Sony CDU940S
README:	Sony CDU948S
README-	Sony CRX-100
README:	Sony CRX-140
README:	Sony CRX-145
README-	Taiyo Yuden CD-WO EW-50
README-	TEAC CD-R50S
--
README-	TEAC CD-R56S
README-	TEAC CD-R58S
README:	TEAC CD-W54E
README-	That's Write CDR-N820S
README-	Traxdata CDRW-2260EL-PRO
README:	Traxdata CDR-4120
README:	Traxdata CDRW-4260
README:	Turtle Beach 2040R (use cdrecord driver=ricoh_ro1420c and report
inquiry)
README-	WAITEK WT2036
README-	Wearnes CD-R622
--
README-	Yamaha CDR-102
README-	Yamaha CDR-200
README:	Yamaha CDR-400(Firmware revision 1.0d and up otherwise upgrade)
README:	Yamaha CDR-401
README:	Yamaha CRW-4001
README-	Yamaha CRW-2260
README-	Yamaha CRW-2261
README:	Yamaha CRW-4260
README:	Yamaha CRW-4261
README:	Yamaha CRW-4416
README:	Yamaha CRW-6416
README:	Yamaha CRW-8424
README-
README:Multi-session has not been tested with the Plasmon RF-4100
README-
README-All companies that support me with SCSI command reference manuals
and drives
--
README-(some of them may partially work: see above)
README-
README:	Creative Labs CDR 4210
README-	JVC XR-W2001
README-	JVC XR-W2010
--
README-	Pinnacle Micro RCD-1000
README-	Pinnacle Micro RCD-5020
README:	Pinnacle Micro RCD-5040
README:	Plasmon CDR-4240
README-	Sony CDW-900E
README-
--
README-	SCHILYfbk.i386.tar.Z	The fbk driver in pkgadd format (x86).
README-
README:Note that the fbk driver packet is for Solaris 2.4 and not system
independent.
README-
README-All Systems:
--
README-
README-WARNING: Do not use 'mc' to extract the tar file!
README:	All mc versions before 4.0.14 cannot extract symbolic links
correctly.
README-
README-To unpack the archive use:
[root@localhost cdrecord-1.9]# 


Expected Results:  grep -C 4 Panasonic README

line1
line2
line3
line4
Panasonic
line6
line7
line8
line9
-----
repeated for next Panasonic entry, etc
Additional info:

my grep version:

[root@localhost cdrecord-1.9]# grep -V
grep (GNU grep) 2.4.2

Copyright 1988, 1992-1999, 2000 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Is this only for certain Red Hat systems?  I don't know.
Comment 1 Bernhard Rosenkraenzer 2001-08-23 11:38:39 EDT
It's grep -C4, not grep -C 4


Note You need to log in before you can comment on or make changes to this bug.